Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Jul 2014, 23:56
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
foomatic-rip problem, CUPS' "error_log" out of function
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
hanzf


Joined: 11 Mar 2009
Posts: 119
Location: Belzig, Germany

PostPosted: Thu 09 Jun 2011, 05:00    Post_subject:  foomatic-rip problem, CUPS' "error_log" out of function  

Hello,

My HP Laserjet P1102 does not print because of "foomatic-rip failed", so I searched in the forum and I found this seems to be a common issue.
In "/etc/cups/cupsd.conf", I set
Code:
LogLevel debug
, but, as the "/var/log/cups/error_log" file was so big, I deleted it and created a new one to start empty... Now the error_log file remains empty, CUPS' logging seems out of function. How can I fix this?

Thank you,
Hans

EDIT: the error log works again after rebooting. Now trying to fix this foomatic-rip issue.

_________________
Lupu 5.0.0 frugal with lupusave.2fs (+ Windows XP double boot)
AMD Athlon 64 3700+
1000 MB RAM
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8906
Location: Stratford, Ontario

PostPosted: Thu 09 Jun 2011, 07:47    Post_subject:  

What HP driver package have you installed?

Certain HP printers, like your Laserjet Pro P1102, require an additional proprietary plugin that must be downloaded from HP. This procedure does not work in Puppy.

However the foo2xxx_rcrsn-2011.03.16.pet from here should work with your P1102.

It will be listed in CUPS as an HP Laserjet Pro P1102 Foomatic/foo2zjs-z2

Edited_times_total
Back to top
View user's profile Send_private_message 
hanzf


Joined: 11 Mar 2009
Posts: 119
Location: Belzig, Germany

PostPosted: Thu 09 Jun 2011, 08:41    Post_subject:  

rcrsn51 wrote:
the foo2xxx_rcrsn-2011.03.16.pet from here should work with your P1102.
It will be listed in CUPS as an HP Laserjet Pro P1102 Foomatic.

I first installed this. In CUPS, I chose the driver "HP Laserjet 1100 Foomatic/hpijs 2.8.2.10" which seemed the closest to the name of my printer.
I tried to print a test page but the job always appeared in the job list as "stopped".
I installed hpijs-ppds_3.10.2 (with dependency hpijs3.10.2)
still no "p1102" driver in CUPS.
I de-installed these 3.10.2 things and installed "hpijs_print-3.11.3.pet". Same thing.
Now I'm back to "HP Laserjet 1100 Foomatic/hpijs 2.8.2.10" and trying to print results in "stopped: Unable to write print data: Input/output error". Surprisingly, this foomatic-rip failure message does not come now...
After all, I think I got this message when I HAD a driver for my printer model "p1102", but I can't reproduce it now... Also I don't find the driver anymore. Sorry for all the confusion...

_________________
Lupu 5.0.0 frugal with lupusave.2fs (+ Windows XP double boot)
AMD Athlon 64 3700+
1000 MB RAM
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8906
Location: Stratford, Ontario

PostPosted: Thu 09 Jun 2011, 08:58    Post_subject:  

hanzf wrote:
I first installed this.

What does "this" refer to? There is NO point in installing any HPIJS or HPLIP packages. NONE of them will work with your printer in Puppy.

You need the foo2xxx package I listed above. Your printer will show in CUPS as an HP LaserJet Pro P1102 Foomatic/foo2zjs-z2 .
Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Thu 09 Jun 2011, 12:09    Post_subject:  

I use the same printer with:
http://murga-linux.com/puppy/viewtopic.php?t=61663

I'm not sure if the "foo2xxx_rcrsn-2011.03.16.pet" version is any different.
Back to top
View user's profile Send_private_message 
hanzf


Joined: 11 Mar 2009
Posts: 119
Location: Belzig, Germany

PostPosted: Thu 09 Jun 2011, 14:15    Post_subject:  

rcrsn51 wrote:
What does "this" refer to?

The package mentioned above: foo2xxx_rcrsn-2011.03.16.pet
rcrsn51 wrote:
You need the foo2xxx package I listed above. Your printer will show in CUPS as an HP LaserJet Pro P1102 Foomatic/foo2zjs-z2 .
I'll give it another try
_________________
Lupu 5.0.0 frugal with lupusave.2fs (+ Windows XP double boot)
AMD Athlon 64 3700+
1000 MB RAM
Back to top
View user's profile Send_private_message 
hanzf


Joined: 11 Mar 2009
Posts: 119
Location: Belzig, Germany

PostPosted: Thu 09 Jun 2011, 14:59    Post_subject:  

Ok thank you rsrcn51, now it works... Seems like I just hadn't found the correct printer model in CUPS' List. Sorry for wasting your time Embarassed
_________________
Lupu 5.0.0 frugal with lupusave.2fs (+ Windows XP double boot)
AMD Athlon 64 3700+
1000 MB RAM
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8906
Location: Stratford, Ontario

PostPosted: Thu 09 Jun 2011, 15:38    Post_subject:  

Glad to help. I've never understood why HP uses such a confusing variety of model names and numbers.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0571s ][ Queries: 11 (0.0047s) ][ GZIP on ]